unit Definitions;
{$MODE ObjFpc}
{$H+}
{$INTERFACES Corba}

interface

uses
  Classes, SysUtils,
  (* project options *)
  Model;

type
  IMainView = interface
    procedure BindPersonHeads(List: TPersonHeadList);
  end;

  IDetailView = interface
    procedure ShowPerson(APerson: TPerson);
    function EditPerson(APerson: TPerson): Boolean;
    function NewPerson(APerson: TPerson): Boolean;
  end;

  IPersistence = interface
    function GetAllPersonHeads: TPersonHeadList;
    function GetPerson(Id: LongInt): TPerson;
    procedure InsertPerson(APerson: TPerson);
    procedure UpdatePerson(APerson: TPerson);
  end;

implementation

end.

